## net.sf.saxon.pull
Class PullConsumer

    java.lang.Object
      net.sf.saxon.pull.PullConsumer

public class PullConsumer
extends java.lang.Object

A PullConsumer consumes all the events supplied by a PullProvider, doing nothing with them. The class exists so that PullFilters on the pipeline can produce side-effects. For example, this class can be used to validate a document, where the side effects are error messages.

Constructor Summary
`PullConsumer(PullProvider in)`

Method Summary
`void` `consume()` Consume the input

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PullConsumer

    public PullConsumer(PullProvider in)

Method Detail

### consume

    public void consume()
                 throws XPathException

  Consume the input

  Throws:
    `XPathException`